# Interface StreamOptions<T>

#### Type Parameters

- #### T extends Stream

#### Hierarchy

- Abortable
  - StreamOptions
    - ReadableOptions
    - WritableOptions

#####
Index

### Properties

autoDestroy?
emitClose?
highWaterMark?
objectMode?
signal?

### Methods

construct?
destroy?

## Properties

### `Optional` autoDestroy

autoDestroy?: boolean

### `Optional` emitClose

emitClose?: boolean

### `Optional` highWaterMark

highWaterMark?: number

### `Optional` objectMode

objectMode?: boolean

### `Optional` signal

signal?: AbortSignal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

Inherited from Abortable.signal

## Methods

### `Optional` construct

- construct(this, callback): void

- #### Parameters

  - ##### this: T

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

### `Optional` destroy

- destroy(this, error, callback): void

- #### Parameters

  - ##### this: T

  - ##### error: null | Error

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

Generated using TypeDoc